Index: classes/DelphesClasses.cc
===================================================================
--- classes/DelphesClasses.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesClasses.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -16,5 +16,4 @@
  *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
-
 
 /**
@@ -133,11 +132,11 @@
   Area(0.0, 0.0, 0.0, 0.0),
   L(0),
-  D0(0), ErrorD0(0), 
-  DZ(0), ErrorDZ(0), 
-  P(0),  ErrorP(0), 
-  PT(0), ErrorPT(0), 
-  CtgTheta(0), ErrorCtgTheta(0), 
-  Phi(0), ErrorPhi(0),  
-  Xd(0), Yd(0), Zd(0), 
+  D0(0), ErrorD0(0),
+  DZ(0), ErrorDZ(0),
+  P(0), ErrorP(0),
+  PT(0), ErrorPT(0),
+  CtgTheta(0), ErrorCtgTheta(0),
+  Phi(0), ErrorPhi(0),
+  Xd(0), Yd(0), Zd(0),
   TrackResolution(0),
   NCharged(0),
@@ -236,5 +235,4 @@
   return kFALSE;
 }
-
 
 //------------------------------------------------------------------------------
@@ -304,8 +302,8 @@
   object.PT = PT;
   object.ErrorPT = ErrorPT;
-  object.CtgTheta = CtgTheta ;
+  object.CtgTheta = CtgTheta;
   object.ErrorCtgTheta = ErrorCtgTheta;
   object.Phi = Phi;
-  object.ErrorPhi = ErrorPhi;  
+  object.ErrorPhi = ErrorPhi;
   object.Xd = Xd;
   object.Yd = Yd;
@@ -327,7 +325,7 @@
   object.ClusterIndex = ClusterIndex;
   object.ClusterNDF = ClusterNDF;
-  object.ClusterSigma = ClusterSigma; 
+  object.ClusterSigma = ClusterSigma;
   object.SumPT2 = SumPT2;
-  
+
   object.FracPt[0] = FracPt[0];
   object.FracPt[1] = FracPt[1];
@@ -361,5 +359,5 @@
   object.NSubJetsSoftDropped = NSubJetsSoftDropped;
 
-  object.SoftDroppedJet =SoftDroppedJet;
+  object.SoftDroppedJet = SoftDroppedJet;
   object.SoftDroppedSubJet1 = SoftDroppedSubJet1;
   object.SoftDroppedSubJet2 = SoftDroppedSubJet2;
@@ -384,5 +382,5 @@
 //------------------------------------------------------------------------------
 
-void Candidate::Clear(Option_t* option)
+void Candidate::Clear(Option_t *option)
 {
   int i;
@@ -391,5 +389,8 @@
   PID = 0;
   Status = 0;
-  M1 = -1; M2 = -1; D1 = -1; D2 = -1;
+  M1 = -1;
+  M2 = -1;
+  D1 = -1;
+  D2 = -1;
   Charge = 0;
   Mass = 0.0;
@@ -420,10 +421,10 @@
   L = 0.0;
   ErrorT = 0.0;
-  D0 = 0.0;  
+  D0 = 0.0;
   ErrorD0 = 0.0;
   DZ = 0.0;
   ErrorDZ = 0.0;
-  P =0.0;
-  ErrorP =0.0;
+  P = 0.0;
+  ErrorP = 0.0;
   PT = 0.0;
   ErrorPT = 0.0;
@@ -455,10 +456,10 @@
   ClusterIndex = -1;
   ClusterNDF = -99;
-  ClusterSigma = 0.0; 
+  ClusterSigma = 0.0;
   SumPT2 = 0.0;
   BTVSumPT2 = 0.0;
   GenDeltaZ = 0.0;
-  GenSumPT2 = 0.0; 
-  
+  GenSumPT2 = 0.0;
+
   FracPt[0] = 0.0;
   FracPt[1] = 0.0;
@@ -476,5 +477,4 @@
   SoftDroppedSubJet2.SetXYZT(0.0, 0.0, 0.0, 0.0);
 
-
   for(i = 0; i < 5; ++i)
   {
Index: classes/DelphesClasses.h
===================================================================
--- classes/DelphesClasses.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesClasses.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -32,8 +32,8 @@
 // Dependencies (#includes)
 
+#include "TLorentzVector.h"
+#include "TObject.h"
 #include "TRef.h"
-#include "TObject.h"
 #include "TRefArray.h"
-#include "TLorentzVector.h"
 
 #include "classes/SortableObject.h"
@@ -46,5 +46,4 @@
 {
 public:
-
   Long64_t Number; // event number
 
@@ -60,5 +59,4 @@
 {
 public:
-
   Int_t Trigger; // trigger word
 
@@ -71,5 +69,4 @@
 {
 public:
-
   Int_t ProcessID; // subprocess code for the event | hepup.IDPRUP
 
@@ -99,5 +96,4 @@
 {
 public:
-
   Int_t ProcessID; // unique signal process id | signal_process_id()
   Int_t MPI; // number of multi parton interactions | mpi ()
@@ -121,6 +117,4 @@
   Float_t PDF1; // PDF (id1, x1, Q) | pdf_info()->pdf1()
   Float_t PDF2; // PDF (id2, x2, Q) | pdf_info()->pdf2()
-
-
 
   ClassDef(HepMCEvent, 3)
@@ -181,5 +175,4 @@
 {
 public:
-
   Float_t T; // vertex position (t component)
   Float_t X; // vertex position (x component)
@@ -260,5 +253,4 @@
 {
 public:
-
   Float_t PT; // photon transverse momentum
   Float_t Eta; // photon pseudorapidity
@@ -295,5 +287,4 @@
 {
 public:
-
   Float_t PT; // electron transverse momentum
   Float_t Eta; // electron pseudorapidity
@@ -333,5 +324,4 @@
 {
 public:
-
   Float_t PT; // muon transverse momentum
   Float_t Eta; // muon pseudorapidity
@@ -369,5 +359,4 @@
 {
 public:
-
   Float_t PT; // jet transverse momentum
   Float_t Eta; // jet pseudorapidity
@@ -378,6 +367,6 @@
   Float_t Mass; // jet invariant mass
 
-  Float_t DeltaEta;  // jet radius in pseudorapidity
-  Float_t DeltaPhi;  // jet radius in azimuthal angle
+  Float_t DeltaEta; // jet radius in pseudorapidity
+  Float_t DeltaPhi; // jet radius in azimuthal angle
 
   UInt_t Flavor; // jet flavor
@@ -414,5 +403,4 @@
   TLorentzVector SoftDroppedP4[5]; // first entry (i = 0) is the total SoftDropped Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
 
-
   Int_t NSubJetsTrimmed; // number of subjets trimmed
   Int_t NSubJetsPruned; // number of subjets pruned
@@ -423,5 +411,5 @@
   Double_t ExclYmerge45;
   Double_t ExclYmerge56;
-  
+
   TRefArray Constituents; // references to constituents
   TRefArray Particles; // references to generated particles
@@ -626,5 +614,5 @@
 
   Int_t NTimeHits;
-  std::vector< std::pair< Float_t, Float_t > > ECalEnergyTimePairs;
+  std::vector<std::pair<Float_t, Float_t>> ECalEnergyTimePairs;
 
   // Isolation variables
@@ -670,5 +658,5 @@
   Double_t ExclYmerge45;
   Double_t ExclYmerge56;
-      
+
   static CompBase *fgCompare; //!
   const CompBase *GetCompare() const { return fgCompare; }
@@ -681,5 +669,5 @@
   virtual void Copy(TObject &object) const;
   virtual TObject *Clone(const char *newname = "") const;
-  virtual void Clear(Option_t* option = "");
+  virtual void Clear(Option_t *option = "");
 
 private:
@@ -693,4 +681,2 @@
 
 #endif // DelphesClasses_h
-
-
Index: classes/DelphesCylindricalFormula.cc
===================================================================
--- classes/DelphesCylindricalFormula.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesCylindricalFormula.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -16,5 +16,4 @@
  *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
-
 
 #include "classes/DelphesCylindricalFormula.h"
@@ -54,5 +53,5 @@
   for(it = expression; *it; ++it)
   {
-    if(*it == ' ' || *it == '\t' || *it == '\r' || *it == '\n' || *it == '\\' ) continue;
+    if(*it == ' ' || *it == '\t' || *it == '\r' || *it == '\n' || *it == '\\') continue;
     buffer.Append(*it);
   }
Index: classes/DelphesCylindricalFormula.h
===================================================================
--- classes/DelphesCylindricalFormula.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesCylindricalFormula.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -25,5 +25,4 @@
 {
 public:
-
   DelphesCylindricalFormula();
 
@@ -38,3 +37,2 @@
 
 #endif /* DelphesCylindricalFormula_h */
-
Index: classes/DelphesFactory.cc
===================================================================
--- classes/DelphesFactory.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesFactory.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -16,5 +16,4 @@
  *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
-
 
 /** \class DelphesFactory
@@ -51,8 +50,8 @@
   if(fObjArrays) delete fObjArrays;
 
-  map< const TClass*, ExRootTreeBranch* >::iterator itBranches;
+  map<const TClass *, ExRootTreeBranch *>::iterator itBranches;
   for(itBranches = fBranches.begin(); itBranches != fBranches.end(); ++itBranches)
   {
-    delete (itBranches->second);
+    delete(itBranches->second);
   }
 }
@@ -60,5 +59,5 @@
 //------------------------------------------------------------------------------
 
-void DelphesFactory::Clear(Option_t* option)
+void DelphesFactory::Clear(Option_t *option)
 {
   set<TObject *>::iterator itPool;
@@ -70,5 +69,5 @@
   TProcessID::SetObjectCount(0);
 
-  map< const TClass*, ExRootTreeBranch* >::iterator itBranches;
+  map<const TClass *, ExRootTreeBranch *>::iterator itBranches;
   for(itBranches = fBranches.begin(); itBranches != fBranches.end(); ++itBranches)
   {
@@ -120,3 +119,2 @@
 
 //------------------------------------------------------------------------------
-
Index: classes/DelphesFactory.h
===================================================================
--- classes/DelphesFactory.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesFactory.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -42,10 +42,9 @@
 {
 public:
-  
   DelphesFactory(const char *name = "ObjectFactory");
   ~DelphesFactory();
 
-  virtual void Clear(Option_t* option = "");
- 
+  virtual void Clear(Option_t *option = "");
+
   TObjArray *NewPermanentArray();
 
@@ -56,20 +55,18 @@
   TObject *New(TClass *cl);
 
-  template<typename T>
+  template <typename T>
   T *New() { return static_cast<T *>(New(T::Class())); }
 
 private:
-
   ExRootTreeBranch *fObjArrays; //!
 
 #if !defined(__CINT__) && !defined(__CLING__)
-  std::map< const TClass*, ExRootTreeBranch* > fBranches; //!
+  std::map<const TClass *, ExRootTreeBranch *> fBranches; //!
 #endif
 
-  std::set< TObject* > fPool; //!
-  
+  std::set<TObject *> fPool; //!
+
   ClassDef(DelphesFactory, 1)
 };
 
 #endif /* DelphesFactory */
-
Index: classes/DelphesFormula.cc
===================================================================
--- classes/DelphesFormula.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesFormula.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -16,5 +16,4 @@
  *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
-
 
 #include "classes/DelphesFormula.h"
@@ -54,5 +53,5 @@
   for(it = expression; *it; ++it)
   {
-    if(*it == ' ' || *it == '\t' || *it == '\r' || *it == '\n' || *it == '\\' ) continue;
+    if(*it == ' ' || *it == '\t' || *it == '\r' || *it == '\n' || *it == '\\') continue;
     buffer.Append(*it);
   }
@@ -62,10 +61,8 @@
   buffer.ReplaceAll("energy", "t");
 
+#if ROOT_VERSION_CODE < ROOT_VERSION(6, 0, 0)
+  TFormula::SetMaxima(100000, 1000, 1000000);
+#endif
 
-
-  #if ROOT_VERSION_CODE < ROOT_VERSION(6,0,0)
-    TFormula::SetMaxima(100000,1000,1000000);
-  #endif
-  
   if(TFormula::Compile(buffer) != 0)
   {
@@ -79,6 +76,6 @@
 Double_t DelphesFormula::Eval(Double_t pt, Double_t eta, Double_t phi, Double_t energy)
 {
-   Double_t x[4] = {pt, eta, phi, energy};
-   return EvalPar(x);
+  Double_t x[4] = {pt, eta, phi, energy};
+  return EvalPar(x);
 }
 
Index: classes/DelphesFormula.h
===================================================================
--- classes/DelphesFormula.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesFormula.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -25,5 +25,4 @@
 {
 public:
-
   DelphesFormula();
 
@@ -38,3 +37,2 @@
 
 #endif /* DelphesFormula_h */
-
Index: classes/DelphesHepMCReader.cc
===================================================================
--- classes/DelphesHepMCReader.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesHepMCReader.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesHepMCReader
  *
@@ -28,7 +27,7 @@
 #include "classes/DelphesHepMCReader.h"
 
-#include <stdexcept>
 #include <iostream>
 #include <sstream>
+#include <stdexcept>
 
 #include <map>
@@ -37,9 +36,9 @@
 #include <stdio.h>
 
+#include "TDatabasePDG.h"
+#include "TLorentzVector.h"
 #include "TObjArray.h"
+#include "TParticlePDG.h"
 #include "TStopwatch.h"
-#include "TDatabasePDG.h"
-#include "TParticlePDG.h"
-#include "TLorentzVector.h"
 
 #include "classes/DelphesClasses.h"
@@ -111,6 +110,6 @@
   TObjArray *partonOutputArray)
 {
-  map< int, pair< int, int > >::iterator itMotherMap;
-  map< int, pair< int, int > >::iterator itDaughterMap;
+  map<int, pair<int, int>>::iterator itMotherMap;
+  map<int, pair<int, int>>::iterator itDaughterMap;
   char key, momentumUnit[4], positionUnit[3];
   int i, rc, state;
@@ -141,5 +140,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid event format" << endl;
+      cerr << "** ERROR: "
+           << "invalid event format" << endl;
       return kFALSE;
     }
@@ -155,5 +155,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid event format" << endl;
+      cerr << "** ERROR: "
+           << "invalid event format" << endl;
       return kFALSE;
     }
@@ -167,5 +168,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid event format" << endl;
+      cerr << "** ERROR: "
+           << "invalid event format" << endl;
       return kFALSE;
     }
@@ -177,5 +179,6 @@
     if(rc != 2)
     {
-      cerr << "** ERROR: " << "invalid units format" << endl;
+      cerr << "** ERROR: "
+           << "invalid units format" << endl;
       return kFALSE;
     }
@@ -189,5 +192,5 @@
       fMomentumCoefficient = 0.001;
     }
-    
+
     if(strncmp(positionUnit, "MM", 3) == 0)
     {
@@ -199,5 +202,5 @@
     }
   }
-  
+
   else if(key == 'C')
   {
@@ -205,5 +208,5 @@
       && bufferStream.ReadDbl(fCrossSectionError);
   }
-  
+
   else if(key == 'F')
   {
@@ -218,5 +221,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid PDF format" << endl;
+      cerr << "** ERROR: "
+           << "invalid PDF format" << endl;
       return kFALSE;
     }
@@ -235,5 +239,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid vertex format" << endl;
+      cerr << "** ERROR: "
+           << "invalid vertex format" << endl;
       return kFALSE;
     }
@@ -256,5 +261,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid particle format" << endl;
+      cerr << "** ERROR: "
+           << "invalid particle format" << endl;
       return kFALSE;
     }
@@ -345,5 +351,5 @@
 {
   Weight *element;
-  vector< double >::const_iterator itWeight;
+  vector<double>::const_iterator itWeight;
 
   for(itWeight = fWeight.begin(); itWeight != fWeight.end(); ++itWeight)
@@ -374,5 +380,5 @@
 
   pdgParticle = fPDG->GetParticle(fPID);
-  candidate->Charge = pdgParticle ? int(pdgParticle->Charge()/3.0) : -999;
+  candidate->Charge = pdgParticle ? int(pdgParticle->Charge() / 3.0) : -999;
   candidate->Mass = fMass;
 
@@ -427,6 +433,6 @@
 {
   Candidate *candidate;
-  map< int, pair< int, int > >::iterator itMotherMap;
-  map< int, pair< int, int > >::iterator itDaughterMap;
+  map<int, pair<int, int>>::iterator itMotherMap;
+  map<int, pair<int, int>>::iterator itDaughterMap;
   int i;
 
Index: classes/DelphesHepMCReader.h
===================================================================
--- classes/DelphesHepMCReader.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesHepMCReader.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -42,5 +42,4 @@
 {
 public:
-
   DelphesHepMCReader();
   ~DelphesHepMCReader();
@@ -62,5 +61,4 @@
 
 private:
-
   void AnalyzeParticle(DelphesFactory *factory,
     TObjArray *allParticleOutputArray,
@@ -82,8 +80,8 @@
 
   int fStateSize;
-  std::vector< int > fState;
+  std::vector<int> fState;
 
   int fWeightSize;
-  std::vector< double > fWeight;
+  std::vector<double> fWeight;
 
   double fCrossSection, fCrossSectionError;
@@ -100,9 +98,7 @@
   int fParticleCounter;
 
-  std::map< int, std::pair < int, int > > fMotherMap;
-  std::map< int, std::pair < int, int > > fDaughterMap;
+  std::map<int, std::pair<int, int>> fMotherMap;
+  std::map<int, std::pair<int, int>> fDaughterMap;
 };
 
 #endif // DelphesHepMCReader_h
-
-
Index: classes/DelphesLHEFReader.cc
===================================================================
--- classes/DelphesLHEFReader.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesLHEFReader.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesLHEFReader
  *
@@ -28,15 +27,15 @@
 #include "classes/DelphesLHEFReader.h"
 
-#include <stdexcept>
 #include <iostream>
 #include <sstream>
+#include <stdexcept>
 
 #include <stdio.h>
 
+#include "TDatabasePDG.h"
+#include "TLorentzVector.h"
 #include "TObjArray.h"
+#include "TParticlePDG.h"
 #include "TStopwatch.h"
-#include "TDatabasePDG.h"
-#include "TParticlePDG.h"
-#include "TLorentzVector.h"
 
 #include "classes/DelphesClasses.h"
@@ -54,5 +53,5 @@
 DelphesLHEFReader::DelphesLHEFReader() :
   fInputFile(0), fBuffer(0), fPDG(0),
-  fEventReady(kFALSE), fEventCounter(-1), fParticleCounter(-1),   fCrossSection(1)
+  fEventReady(kFALSE), fEventCounter(-1), fParticleCounter(-1), fCrossSection(1)
 
 {
@@ -124,5 +123,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid event format" << endl;
+      cerr << "** ERROR: "
+           << "invalid event format" << endl;
       return kFALSE;
     }
@@ -148,5 +148,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid particle format" << endl;
+      cerr << "** ERROR: "
+           << "invalid particle format" << endl;
       return kFALSE;
     }
@@ -162,5 +163,6 @@
     if(!pch)
     {
-      cerr << "** ERROR: " << "invalid weight format" << endl;
+      cerr << "** ERROR: "
+           << "invalid weight format" << endl;
       return kFALSE;
     }
@@ -172,5 +174,6 @@
     if(!pch)
     {
-      cerr << "** ERROR: " << "invalid weight format" << endl;
+      cerr << "** ERROR: "
+           << "invalid weight format" << endl;
       return kFALSE;
     }
@@ -181,5 +184,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid weight format" << endl;
+      cerr << "** ERROR: "
+           << "invalid weight format" << endl;
       return kFALSE;
     }
@@ -192,5 +196,6 @@
     if(!pch)
     {
-      cerr << "** ERROR: " << "invalid cross section format" << endl;
+      cerr << "** ERROR: "
+           << "invalid cross section format" << endl;
       return kFALSE;
     }
@@ -199,5 +204,6 @@
     if(!pch)
     {
-      cerr << "** ERROR: " << "invalid cross section format" << endl;
+      cerr << "** ERROR: "
+           << "invalid cross section format" << endl;
       return kFALSE;
     }
@@ -208,5 +214,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid cross section format" << endl;
+      cerr << "** ERROR: "
+           << "invalid cross section format" << endl;
       return kFALSE;
     }
@@ -249,5 +256,5 @@
 {
   LHEFWeight *element;
-  vector< pair< int, double > >::const_iterator itWeightList;
+  vector<pair<int, double>>::const_iterator itWeightList;
 
   for(itWeightList = fWeightList.begin(); itWeightList != fWeightList.end(); ++itWeightList)
@@ -279,5 +286,5 @@
 
   pdgParticle = fPDG->GetParticle(fPID);
-  candidate->Charge = pdgParticle ? int(pdgParticle->Charge()/3.0) : -999;
+  candidate->Charge = pdgParticle ? int(pdgParticle->Charge() / 3.0) : -999;
   candidate->Mass = fMass;
 
Index: classes/DelphesLHEFReader.h
===================================================================
--- classes/DelphesLHEFReader.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesLHEFReader.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -30,6 +30,6 @@
 #include <stdio.h>
 
+#include <utility>
 #include <vector>
-#include <utility>
 
 class TObjArray;
@@ -42,5 +42,4 @@
 {
 public:
-
   DelphesLHEFReader();
   ~DelphesLHEFReader();
@@ -62,5 +61,4 @@
 
 private:
-
   void AnalyzeParticle(DelphesFactory *factory,
     TObjArray *allParticleOutputArray,
@@ -83,9 +81,7 @@
   int fPID, fStatus, fM1, fM2, fC1, fC2;
   double fPx, fPy, fPz, fE, fMass;
-  
-  std::vector< std::pair< int, double > > fWeightList;
+
+  std::vector<std::pair<int, double>> fWeightList;
 };
 
 #endif // DelphesLHEFReader_h
-
-
Index: classes/DelphesLongFormula.cc
===================================================================
--- classes/DelphesLongFormula.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesLongFormula.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -16,5 +16,4 @@
  *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
-
 
 #include "classes/DelphesLongFormula.h"
@@ -54,5 +53,5 @@
   for(it = expression; *it; ++it)
   {
-    if(*it == ' ' || *it == '\t' || *it == '\r' || *it == '\n' || *it == '\\' ) continue;
+    if(*it == ' ' || *it == '\t' || *it == '\r' || *it == '\n' || *it == '\\') continue;
     buffer.Append(*it);
   }
@@ -66,8 +65,8 @@
   buffer.ReplaceAll("ctgTheta", "[ctgTheta]");
 
-  #if ROOT_VERSION_CODE < ROOT_VERSION(6,0,0)
-    TFormula::SetMaxima(100000,1000,1000000);
-  #endif
-  
+#if ROOT_VERSION_CODE < ROOT_VERSION(6, 0, 0)
+  TFormula::SetMaxima(100000, 1000, 1000000);
+#endif
+
   if(TFormula::Compile(buffer) != 0)
   {
@@ -80,12 +79,6 @@
 //------------------------------------------------------------------------------
 
-Double_t DelphesLongFormula::Eval(Double_t pt, 
-                                  Double_t eta, 
-                                  Double_t phi, 
-                                  Double_t energy,
-                                  Double_t d0,
-                                  Double_t dz,
-                                  Double_t ctgTheta
-                                 )
+Double_t DelphesLongFormula::Eval(Double_t pt, Double_t eta, Double_t phi,
+  Double_t energy, Double_t d0, Double_t dz, Double_t ctgTheta)
 {
 
@@ -93,33 +86,33 @@
   TVarValMap fVarValMap;
 
-  fVarNameMap[this->GetParNumber("pt")]= "pt";
-  fVarNameMap[this->GetParNumber("eta")]= "eta";
-  fVarNameMap[this->GetParNumber("phi")]= "phi";
-  fVarNameMap[this->GetParNumber("energy")]= "energy";
-  fVarNameMap[this->GetParNumber("d0")]= "d0";
-  fVarNameMap[this->GetParNumber("dz")]= "dz";
-  fVarNameMap[this->GetParNumber("ctgTheta")]= "ctgTheta";
+  fVarNameMap[this->GetParNumber("pt")] = "pt";
+  fVarNameMap[this->GetParNumber("eta")] = "eta";
+  fVarNameMap[this->GetParNumber("phi")] = "phi";
+  fVarNameMap[this->GetParNumber("energy")] = "energy";
+  fVarNameMap[this->GetParNumber("d0")] = "d0";
+  fVarNameMap[this->GetParNumber("dz")] = "dz";
+  fVarNameMap[this->GetParNumber("ctgTheta")] = "ctgTheta";
 
-  fVarValMap["pt"]= pt;      
-  fVarValMap["eta"]= eta;
-  fVarValMap["phi"]= phi;
-  fVarValMap["energy"]= energy;
-  fVarValMap["d0"]= d0;
-  fVarValMap["dz"]= dz;
-  fVarValMap["ctgTheta"]= ctgTheta;
+  fVarValMap["pt"] = pt;
+  fVarValMap["eta"] = eta;
+  fVarValMap["phi"] = phi;
+  fVarValMap["energy"] = energy;
+  fVarValMap["d0"] = d0;
+  fVarValMap["dz"] = dz;
+  fVarValMap["ctgTheta"] = ctgTheta;
 
   Double_t vals[7];
 
   Int_t j = 0;
-  for (Int_t i=0; i != 7; i++)
+  for(Int_t i = 0; i != 7; i++)
   {
-     if ( fVarNameMap.find(i) != fVarNameMap.end() ) 
-     {
-        TString var_name = fVarNameMap[i];
-        vals[i] = fVarValMap[var_name];
-     }
-     else
-        vals[i] = 0.;
-  }   
+    if(fVarNameMap.find(i) != fVarNameMap.end())
+    {
+      TString var_name = fVarNameMap[i];
+      vals[i] = fVarValMap[var_name];
+    }
+    else
+      vals[i] = 0.;
+  }
   return EvalPar(nullptr, vals);
 }
Index: classes/DelphesLongFormula.h
===================================================================
--- classes/DelphesLongFormula.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesLongFormula.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -26,5 +26,4 @@
 {
 public:
-
   DelphesLongFormula();
   DelphesLongFormula(const char *name, const char *expression);
@@ -34,17 +33,9 @@
   Int_t Compile(const char *expression);
 
-  Double_t Eval(Double_t pt, 
-                Double_t eta = 0, 
-                Double_t phi = 0, 
-                Double_t energy = 0,
-                Double_t d0 = 0,
-                Double_t dz = 0,
-                Double_t ctgTheta = 0
-                );
+  Double_t Eval(Double_t pt, Double_t eta = 0, Double_t phi = 0,
+    Double_t energy = 0, Double_t d0 = 0, Double_t dz = 0, Double_t ctgTheta = 0);
 
-  typedef std::map<Int_t,TString> TVarNameMap; //!
+  typedef std::map<Int_t, TString> TVarNameMap; //!
   typedef std::map<TString, Double_t> TVarValMap; //!
-
-  
 };
 
Index: classes/DelphesModule.cc
===================================================================
--- classes/DelphesModule.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesModule.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesModule
  *
@@ -30,17 +29,17 @@
 #include "classes/DelphesFactory.h"
 
+#include "ExRootAnalysis/ExRootResult.h"
+#include "ExRootAnalysis/ExRootTreeBranch.h"
 #include "ExRootAnalysis/ExRootTreeReader.h"
-#include "ExRootAnalysis/ExRootTreeBranch.h"
 #include "ExRootAnalysis/ExRootTreeWriter.h"
-#include "ExRootAnalysis/ExRootResult.h"
 
-#include "TROOT.h"
 #include "TClass.h"
 #include "TFolder.h"
 #include "TObjArray.h"
+#include "TROOT.h"
 
 #include <iostream>
+#include <sstream>
 #include <stdexcept>
-#include <sstream>
 
 using namespace std;
@@ -157,4 +156,2 @@
   return fFactory;
 }
-
-
Index: classes/DelphesModule.h
===================================================================
--- classes/DelphesModule.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesModule.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -41,8 +41,7 @@
 class DelphesFactory;
 
-class DelphesModule: public ExRootTask 
+class DelphesModule: public ExRootTask
 {
 public:
-
   DelphesModule();
   ~DelphesModule();
@@ -61,10 +60,8 @@
 
 protected:
-
   ExRootTreeWriter *fTreeWriter;
   DelphesFactory *fFactory;
 
 private:
-
   ExRootResult *fPlots;
 
@@ -75,3 +72,2 @@
 
 #endif /* DelphesModule_h */
-
Index: classes/DelphesPileUpReader.cc
===================================================================
--- classes/DelphesPileUpReader.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesPileUpReader.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesPileUpReader
  *
@@ -28,10 +27,10 @@
 #include "classes/DelphesPileUpReader.h"
 
-#include <stdexcept>
 #include <iostream>
 #include <sstream>
+#include <stdexcept>
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 
 #include "classes/DelphesXDRReader.h"
@@ -52,6 +51,6 @@
   stringstream message;
 
-  fIndex = new uint8_t[kIndexSize*8];
-  fBuffer = new uint8_t[kBufferSize*kRecordSize*4];
+  fIndex = new uint8_t[kIndexSize * 8];
+  fBuffer = new uint8_t[kBufferSize * kRecordSize * 4];
   fInputReader = new DelphesXDRReader;
   fIndexReader = new DelphesXDRReader;
@@ -82,6 +81,6 @@
 
   // read index of events
-  fseeko(fPileUpFile, -8 - 8*fEntries, SEEK_END);
-  fInputReader->ReadRaw(fIndex, fEntries*8);
+  fseeko(fPileUpFile, -8 - 8 * fEntries, SEEK_END);
+  fInputReader->ReadRaw(fIndex, fEntries * 8);
 }
 
@@ -130,5 +129,5 @@
 
   // read event position
-  fIndexReader->SetOffset(8*entry);
+  fIndexReader->SetOffset(8 * entry);
   fIndexReader->ReadValue(&offset, 8);
 
@@ -142,5 +141,5 @@
   }
 
-  fInputReader->ReadRaw(fBuffer, fEntrySize*kRecordSize*4);
+  fInputReader->ReadRaw(fBuffer, fEntrySize * kRecordSize * 4);
   fBufferReader->SetOffset(0);
   fCounter = 0;
Index: classes/DelphesPileUpReader.h
===================================================================
--- classes/DelphesPileUpReader.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesPileUpReader.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -28,6 +28,6 @@
  */
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 
 class DelphesXDRReader;
@@ -36,5 +36,4 @@
 {
 public:
-
   DelphesPileUpReader(const char *fileName);
 
@@ -50,5 +49,4 @@
 
 private:
-
   int64_t fEntries;
 
Index: classes/DelphesPileUpWriter.cc
===================================================================
--- classes/DelphesPileUpWriter.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesPileUpWriter.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesPileUpWriter
  *
@@ -28,10 +27,10 @@
 #include "classes/DelphesPileUpWriter.h"
 
-#include <stdexcept>
 #include <iostream>
 #include <sstream>
+#include <stdexcept>
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 
 #include "classes/DelphesXDRWriter.h"
@@ -52,6 +51,6 @@
   stringstream message;
 
-  fIndex = new uint8_t[kIndexSize*8];
-  fBuffer = new uint8_t[kBufferSize*kRecordSize*4];
+  fIndex = new uint8_t[kIndexSize * 8];
+  fBuffer = new uint8_t[kBufferSize * kRecordSize * 4];
   fOutputWriter = new DelphesXDRWriter;
   fIndexWriter = new DelphesXDRWriter;
@@ -118,8 +117,8 @@
 
   fOutputWriter->WriteValue(&fEntrySize, 4);
-  fOutputWriter->WriteRaw(fBuffer, fEntrySize*kRecordSize*4);
+  fOutputWriter->WriteRaw(fBuffer, fEntrySize * kRecordSize * 4);
 
   fIndexWriter->WriteValue(&fOffset, 8);
-  fOffset += fEntrySize*kRecordSize*4 + 4;
+  fOffset += fEntrySize * kRecordSize * 4 + 4;
 
   fBufferWriter->SetOffset(0);
@@ -133,5 +132,5 @@
 void DelphesPileUpWriter::WriteIndex()
 {
-  fOutputWriter->WriteRaw(fIndex, fEntries*8);
+  fOutputWriter->WriteRaw(fIndex, fEntries * 8);
   fOutputWriter->WriteValue(&fEntries, 8);
 }
Index: classes/DelphesPileUpWriter.h
===================================================================
--- classes/DelphesPileUpWriter.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesPileUpWriter.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -28,6 +28,6 @@
  */
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 
 class DelphesXDRWriter;
@@ -36,5 +36,4 @@
 {
 public:
-
   DelphesPileUpWriter(const char *fileName);
 
@@ -50,5 +49,4 @@
 
 private:
-
   int64_t fEntries;
   int32_t fEntrySize;
Index: classes/DelphesSTDHEPReader.cc
===================================================================
--- classes/DelphesSTDHEPReader.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesSTDHEPReader.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesSTDHEPReader
  *
@@ -28,18 +27,18 @@
 #include "classes/DelphesSTDHEPReader.h"
 
-#include <stdexcept>
 #include <iostream>
 #include <sstream>
-
-#include <stdio.h>
+#include <stdexcept>
+
 #include <errno.h>
 #include <stdint.h>
+#include <stdio.h>
 #include <string.h>
 
+#include "TDatabasePDG.h"
+#include "TLorentzVector.h"
 #include "TObjArray.h"
+#include "TParticlePDG.h"
 #include "TStopwatch.h"
-#include "TDatabasePDG.h"
-#include "TParticlePDG.h"
-#include "TLorentzVector.h"
 
 #include "classes/DelphesClasses.h"
@@ -51,5 +50,5 @@
 using namespace std;
 
-static const int kBufferSize  = 1000000;
+static const int kBufferSize = 1000000;
 
 //---------------------------------------------------------------------------
@@ -58,5 +57,5 @@
   fInputFile(0), fBuffer(0), fPDG(0), fBlockType(-1)
 {
-  fBuffer = new uint8_t[kBufferSize*96 + 24];
+  fBuffer = new uint8_t[kBufferSize * 96 + 24];
 
   fPDG = TDatabasePDG::Instance();
@@ -117,6 +116,5 @@
     ReadEventHeader();
   }
-  else if(fBlockType == MCFIO_STDHEPBEG ||
-          fBlockType == MCFIO_STDHEPEND)
+  else if(fBlockType == MCFIO_STDHEPBEG || fBlockType == MCFIO_STDHEPEND)
   {
     ReadSTDCM1();
@@ -170,5 +168,5 @@
   uint32_t size;
   fReader[0].ReadValue(&size, 4);
-  SkipBytes(size*elsize);
+  SkipBytes(size * elsize);
 }
 
@@ -178,13 +176,24 @@
 {
   uint32_t i;
-  enum STDHEPVersion {UNKNOWN, V1, V2, V21} version;
+  enum STDHEPVersion
+  {
+    UNKNOWN,
+    V1,
+    V2,
+    V21
+  } version;
 
   // version
   fReader[0].ReadString(fBuffer, 100);
-  if(fBuffer[0] == '\0' || fBuffer[1] == '\0') version = UNKNOWN;
-  else if(fBuffer[0] == '1') version = V1;
-  else if(strncmp((char *)fBuffer, "2.01", 4) == 0) version = V21;
-  else if(fBuffer[0] == '2') version = V2;
-  else version = UNKNOWN;
+  if(fBuffer[0] == '\0' || fBuffer[1] == '\0')
+    version = UNKNOWN;
+  else if(fBuffer[0] == '1')
+    version = V1;
+  else if(strncmp((char *)fBuffer, "2.01", 4) == 0)
+    version = V21;
+  else if(fBuffer[0] == '2')
+    version = V2;
+  else
+    version = UNKNOWN;
 
   if(version == UNKNOWN)
@@ -363,12 +372,12 @@
   // 4 + 4 + 4 + 4 + 4 + 4 = 96*n + 24
 
-  fReader[0].ReadRaw(fBuffer, 96*fEventSize + 24);
+  fReader[0].ReadRaw(fBuffer, 96 * fEventSize + 24);
 
   fReader[1].SetBuffer(fBuffer);
-  fReader[2].SetBuffer(fBuffer + 4*1 + 4*1*fEventSize);
-  fReader[3].SetBuffer(fBuffer + 4*2 + 4*2*fEventSize);
-  fReader[4].SetBuffer(fBuffer + 4*3 + 4*4*fEventSize);
-  fReader[5].SetBuffer(fBuffer + 4*4 + 4*6*fEventSize);
-  fReader[6].SetBuffer(fBuffer + 4*5 + 4*16*fEventSize);
+  fReader[2].SetBuffer(fBuffer + 4 * 1 + 4 * 1 * fEventSize);
+  fReader[3].SetBuffer(fBuffer + 4 * 2 + 4 * 2 * fEventSize);
+  fReader[4].SetBuffer(fBuffer + 4 * 3 + 4 * 4 * fEventSize);
+  fReader[5].SetBuffer(fBuffer + 4 * 4 + 4 * 6 * fEventSize);
+  fReader[6].SetBuffer(fBuffer + 4 * 5 + 4 * 16 * fEventSize);
 
   fReader[1].ReadValue(&idhepSize, 4);
@@ -391,5 +400,5 @@
   fAlphaQCD = 0.0;
   fScaleSize = 0;
-  memset(fScale, 0, 10*sizeof(double));
+  memset(fScale, 0, 10 * sizeof(double));
 }
 
@@ -494,5 +503,5 @@
 
     pdgParticle = fPDG->GetParticle(pid);
-    candidate->Charge = pdgParticle ? int(pdgParticle->Charge()/3.0) : -999;
+    candidate->Charge = pdgParticle ? int(pdgParticle->Charge() / 3.0) : -999;
     candidate->Mass = mass;
 
Index: classes/DelphesSTDHEPReader.h
===================================================================
--- classes/DelphesSTDHEPReader.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesSTDHEPReader.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -28,6 +28,6 @@
  */
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 
 #include "classes/DelphesXDRReader.h"
@@ -72,5 +72,4 @@
 
 private:
-
   void AnalyzeParticles(DelphesFactory *factory,
     TObjArray *allParticleOutputArray,
Index: classes/DelphesStream.cc
===================================================================
--- classes/DelphesStream.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesStream.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesStream
  *
@@ -28,10 +27,10 @@
 #include "classes/DelphesStream.h"
 
+#include <errno.h>
+#include <limits.h>
+#include <math.h>
+#include <stdio.h>
 #include <stdlib.h>
-#include <limits.h>
 #include <string.h>
-#include <stdio.h>
-#include <errno.h>
-#include <math.h>
 
 #include <iostream>
@@ -65,15 +64,15 @@
     if(fFirstHugePos && value == HUGE_VAL)
     {
-      fFirstHugePos = false; 
+      fFirstHugePos = false;
       cout << "** WARNING: too large positive value, return " << value << endl;
     }
     else if(fFirstHugeNeg && value == -HUGE_VAL)
     {
-      fFirstHugeNeg = false; 
+      fFirstHugeNeg = false;
       cout << "** WARNING: too large negative value, return " << value << endl;
     }
     else if(fFirstZero)
     {
-      fFirstZero = false; 
+      fFirstZero = false;
       value = 0.0;
       cout << "** WARNING: too small value, return " << value << endl;
@@ -94,10 +93,10 @@
     if(fFirstLongMin && value == LONG_MIN)
     {
-      fFirstLongMin = false; 
+      fFirstLongMin = false;
       cout << "** WARNING: too large positive value, return " << value << endl;
     }
     else if(fFirstLongMax && value == LONG_MAX)
     {
-      fFirstLongMax = false; 
+      fFirstLongMax = false;
       cout << "** WARNING: too large negative value, return " << value << endl;
     }
Index: classes/DelphesStream.h
===================================================================
--- classes/DelphesStream.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesStream.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -31,5 +31,4 @@
 {
 public:
-
   DelphesStream(char *buffer);
 
@@ -38,7 +37,6 @@
 
 private:
+  char *fBuffer;
 
-  char *fBuffer;
-  
   static bool fFirstLongMin;
   static bool fFirstLongMax;
@@ -49,4 +47,2 @@
 
 #endif // DelphesStream_h
-
-
Index: classes/DelphesTF2.cc
===================================================================
--- classes/DelphesTF2.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesTF2.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -32,9 +32,7 @@
 {
 
-#if ROOT_VERSION_CODE >= ROOT_VERSION(6,04,00)
+#if ROOT_VERSION_CODE >= ROOT_VERSION(6, 04, 00)
   fFormula = new TFormula();
 #endif
-
-
 }
 
@@ -60,10 +58,10 @@
   for(it = expression; *it; ++it)
   {
-    if(*it == ' ' || *it == '\t' || *it == '\r' || *it == '\n' || *it == '\\' ) continue;
+    if(*it == ' ' || *it == '\t' || *it == '\r' || *it == '\n' || *it == '\\') continue;
     buffer.Append(*it);
   }
   buffer.ReplaceAll("z", "x");
   buffer.ReplaceAll("t", "y");
-#if ROOT_VERSION_CODE < ROOT_VERSION(6,04,00)
+#if ROOT_VERSION_CODE < ROOT_VERSION(6, 04, 00)
   if(TF2::Compile(buffer) != 0)
 #else
Index: classes/DelphesTF2.h
===================================================================
--- classes/DelphesTF2.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesTF2.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -25,5 +25,4 @@
 {
 public:
-
   DelphesTF2();
 
Index: classes/DelphesXDRReader.cc
===================================================================
--- classes/DelphesXDRReader.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesXDRReader.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesXDRReader
  *
@@ -28,6 +27,6 @@
 #include "classes/DelphesXDRReader.h"
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 #include <string.h>
 
@@ -109,5 +108,5 @@
 
   if(size > maxSize) size = maxSize;
-    
+
   if(fBuffer)
   {
Index: classes/DelphesXDRReader.h
===================================================================
--- classes/DelphesXDRReader.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesXDRReader.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -28,11 +28,10 @@
  */
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 
 class DelphesXDRReader
 {
 public:
-
   DelphesXDRReader();
 
@@ -46,5 +45,4 @@
 
 private:
-
   FILE *fFile;
   uint8_t *fBuffer;
Index: classes/DelphesXDRWriter.cc
===================================================================
--- classes/DelphesXDRWriter.cc	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesXDRWriter.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,5 +17,4 @@
  */
 
-
 /** \class DelphesXDRWriter
  *
@@ -28,6 +27,6 @@
 #include "classes/DelphesXDRWriter.h"
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 #include <string.h>
 
Index: classes/DelphesXDRWriter.h
===================================================================
--- classes/DelphesXDRWriter.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/DelphesXDRWriter.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -28,11 +28,10 @@
  */
 
+#include <stdint.h>
 #include <stdio.h>
-#include <stdint.h>
 
 class DelphesXDRWriter
 {
 public:
-
   DelphesXDRWriter();
 
@@ -45,5 +44,4 @@
 
 private:
-
   FILE *fFile;
   uint8_t *fBuffer;
Index: classes/SortableObject.h
===================================================================
--- classes/SortableObject.h	(revision 769f65b514825cab74a8670c687778fe875fee66)
+++ classes/SortableObject.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -26,6 +26,6 @@
  */
 
+#include "TObject.h"
 #include "TRef.h"
-#include "TObject.h"
 #include "TRefArray.h"
 
@@ -37,5 +37,5 @@
 {
 public:
-  virtual ~CompBase() { }
+  virtual ~CompBase() {}
   virtual Bool_t IsSortable(const TObject *) const { return kTRUE; }
   virtual Int_t Compare(const TObject *obj1, const TObject *obj2) const = 0;
@@ -47,5 +47,4 @@
 {
 public:
-
   Bool_t IsSortable() const { return GetCompare() ? GetCompare()->IsSortable(this) : kFALSE; }
   Int_t Compare(const TObject *obj) const { return GetCompare()->Compare(this, obj); }
@@ -64,4 +63,5 @@
 {
   CompE() {}
+
 public:
   static CompE *Instance()
@@ -73,6 +73,6 @@
   Int_t Compare(const TObject *obj1, const TObject *obj2) const
   {
-    const T *t1 = static_cast<const T*>(obj1);
-    const T *t2 = static_cast<const T*>(obj2);
+    const T *t1 = static_cast<const T *>(obj1);
+    const T *t2 = static_cast<const T *>(obj2);
     if(t1->E > t2->E)
       return -1;
@@ -90,4 +90,5 @@
 {
   CompPT() {}
+
 public:
   static CompPT *Instance()
@@ -99,6 +100,6 @@
   Int_t Compare(const TObject *obj1, const TObject *obj2) const
   {
-    const T *t1 = static_cast<const T*>(obj1);
-    const T *t2 = static_cast<const T*>(obj2);
+    const T *t1 = static_cast<const T *>(obj1);
+    const T *t2 = static_cast<const T *>(obj2);
     if(t1->PT > t2->PT)
       return -1;
@@ -116,4 +117,5 @@
 {
   CompMomentumPt() {}
+
 public:
   static CompMomentumPt *Instance()
@@ -125,6 +127,6 @@
   Int_t Compare(const TObject *obj1, const TObject *obj2) const
   {
-    const T *t1 = static_cast<const T*>(obj1);
-    const T *t2 = static_cast<const T*>(obj2);
+    const T *t1 = static_cast<const T *>(obj1);
+    const T *t2 = static_cast<const T *>(obj2);
     if(t1->Momentum.Pt() > t2->Momentum.Pt())
       return -1;
@@ -142,4 +144,5 @@
 {
   CompET() {}
+
 public:
   static CompET *Instance()
@@ -151,6 +154,6 @@
   Int_t Compare(const TObject *obj1, const TObject *obj2) const
   {
-    const T *t1 = static_cast<const T*>(obj1);
-    const T *t2 = static_cast<const T*>(obj2);
+    const T *t1 = static_cast<const T *>(obj1);
+    const T *t2 = static_cast<const T *>(obj2);
     if(t1->ET > t2->ET)
       return -1;
@@ -168,4 +171,5 @@
 {
   CompSumPT2() {}
+
 public:
   static CompSumPT2 *Instance()
@@ -177,6 +181,6 @@
   Int_t Compare(const TObject *obj1, const TObject *obj2) const
   {
-    const T *t1 = static_cast<const T*>(obj1);
-    const T *t2 = static_cast<const T*>(obj2);
+    const T *t1 = static_cast<const T *>(obj1);
+    const T *t2 = static_cast<const T *>(obj2);
     if(t1->SumPT2 > t2->SumPT2)
       return -1;
@@ -193,13 +197,14 @@
 class CompDeltaR: public CompBase
 {
-  CompDeltaR(const T2 *obj = 0) : fObj(obj) {}
+  CompDeltaR(const T2 *obj = 0) :
+    fObj(obj) {}
 
   Double_t DeltaPhi(Double_t phi1, Double_t phi2)
   {
     Double_t phi = TMath::Abs(phi1 - phi2);
-    return (phi <= TMath::Pi()) ? phi : (2.0*TMath::Pi()) - phi;
-  }
-
-  Double_t Sqr(Double_t x) { return x*x; }
+    return (phi <= TMath::Pi()) ? phi : (2.0 * TMath::Pi()) - phi;
+  }
+
+  Double_t Sqr(Double_t x) { return x * x; }
 
   Double_t SumSqr(Double_t a, Double_t b)
@@ -207,6 +212,8 @@
     Double_t aAbs = TMath::Abs(a);
     Double_t bAbs = TMath::Abs(b);
-    if(aAbs > bAbs) return aAbs * TMath::Sqrt(1.0 + Sqr(bAbs / aAbs));
-    else return (bAbs == 0) ? 0.0 : bAbs * TMath::Sqrt(1.0 + Sqr(aAbs / bAbs));
+    if(aAbs > bAbs)
+      return aAbs * TMath::Sqrt(1.0 + Sqr(bAbs / aAbs));
+    else
+      return (bAbs == 0) ? 0.0 : bAbs * TMath::Sqrt(1.0 + Sqr(aAbs / bAbs));
   };
 
@@ -214,8 +221,8 @@
 
 public:
-    static CompDeltaR *Instance(const T2 *obj = 0)
-  {
-      static CompDeltaR single(obj);
-      return &single;
+  static CompDeltaR *Instance(const T2 *obj = 0)
+  {
+    static CompDeltaR single(obj);
+    return &single;
   }
 
@@ -225,6 +232,6 @@
   {
     Double_t eta[3], phi[3], deltaR[2];
-    const T1 *t1 = static_cast<const T1*>(obj1);
-    const T1 *t2 = static_cast<const T1*>(obj2);
+    const T1 *t1 = static_cast<const T1 *>(obj1);
+    const T1 *t2 = static_cast<const T1 *>(obj2);
 
     eta[0] = fObj->Eta;
@@ -250,4 +257,2 @@
 
 #endif // SortableObject_h
-
-
